System 2.0.0.0 4.0.0.0 System.Security.Cryptography.X509Certificates.X509Extension

There are several ways to identify a certificate: by the hash of the certificate, by the issuer and serial number, and by the subject key identifier (SKI). The SKI provides a unique identification for the certificate's subject and is often used when working with XML digital signing.

Defines a string that identifies a certificate's subject key identifier (SKI). This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a byte array and a value that identifies whether the extension is critical.

  A byte array that represents data to use to create the extension.
  true if the extension is critical; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor if the information to create the extension is already in an object.

  Initializes a new instance of the class using encoded data and a value that identifies whether the extension is critical.

  The object to use to create the extension.
  true if the extension is critical; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a public key and a value indicating whether the extension is critical.

  A object to create a subject key identifier (SKI) from.
  true if the extension is critical; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0

  The subject key identifier (SKI) can be used to identify the certificate and is often used when working with XML digital signing.

  Initializes a new instance of the class using a string and a value that identifies whether the extension is critical.

  A string, encoded in hexadecimal format, that represents the subject key identifier (SKI) for a certificate.
  true if the extension is critical; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a public key, a hash algorithm identifier, and a value indicating whether the extension is critical.

  A object to create a subject key identifier (SKI) from.
  One of the values that identifies which hash algorithm to use.
  true if the extension is critical; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added.

  Creates a new instance of the class by copying information from encoded data.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The subject key identifier (SKI) can be used to identify the certificate and is often used when working with XML digital signing.

  Gets a string that represents the subject key identifier (SKI) for a certificate.